hpp-core: hpp::core::timeParameterization::Polynomial Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp::core::timeParameterization::Polynomial Class Reference

`#include <hpp/core/time-parameterization/polynomial.hh>`

Inheritance diagram for hpp::core::timeParameterization::Polynomial:
[legend]
Collaboration diagram for hpp::core::timeParameterization::Polynomial:
[legend]

## Public Member Functions
| Polynomial (const vector_t &param)
const vector_t & | parameters () const
TimeParameterizationPtr_t | copy () const
value_type | value (const value_type &t) const
| Computes \( \sum_{i=0}^n a_i t^i \).
value_type | derivative (const value_type &t, const size_type &order) const
| Computes \( \sum_{i=1}^n i a_i t^{i-1} \).
value_type | derivativeBound (const value_type &low, const value_type &up) const

## Constructor & Destructor Documentation

## ◆ Polynomial()

hpp::core::timeParameterization::Polynomial::Polynomial | ( | const vector_t & | param | ) |
| inline

## Member Function Documentation

## ◆ copy()

TimeParameterizationPtr_t hpp::core::timeParameterization::Polynomial::copy | ( |  | ) | const
| inlinevirtual

Implements hpp::core::TimeParameterization.

## ◆ derivative()

value_type hpp::core::timeParameterization::Polynomial::derivative | ( | const value_type & | t,
|  | const size_type & | order
| ) |  | const
| inlinevirtual

Computes \( \sum_{i=1}^n i a_i t^{i-1} \).

Implements hpp::core::TimeParameterization.

## ◆ derivativeBound()

value_type hpp::core::timeParameterization::Polynomial::derivativeBound | ( | const value_type & | low,
|  | const value_type & | up
| ) |  | const
| inlinevirtual

Compute the bound of the derivative on \( [ low, up ] \). Three cases are handled:

- first order: \( B = |a_1| \)
- second order: \( B = \max{|J(low)|, |J(up)|} \)
- third order: Let \( x_m = - \frac{a_2}{3 a_3} \) be the extremal point of the derivative and \( M = \max{|J(low)|, |J(up)|}\). Then:
  - if \( low < x_m < up \), \( B = \max{ |a_1 - \frac{a_2}{3 a_3}|, M } \)
  - else \( B = M \)

Reimplemented from hpp::core::TimeParameterization.

## ◆ parameters()

const vector_t & hpp::core::timeParameterization::Polynomial::parameters | ( |  | ) | const
| inline

## ◆ value()

value_type hpp::core::timeParameterization::Polynomial::value | ( | const value_type & | t | ) | const
| inlinevirtual

Computes \( \sum_{i=0}^n a_i t^i \).

Implements hpp::core::TimeParameterization.

The documentation for this class was generated from the following file:

- include/hpp/core/time-parameterization/polynomial.hh